# Unit of Measure Groups

Group: Inventory

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/inventoryUnitOfMeasureGroups)

A unit of measure group is a set of units of measure that convert to one base unit of measure.

A group has a conversion line for each of its units of measure, giving the number of base units in one of that unit. The base unit's own line has a factor of 1. For example, a group based on 'EA' might have 'BOX' at 12 and 'PALLET' at 480.

Items are assigned to a group, and an item's inventory, sales, and purchase units must be units in that group.

## Endpoints

- [List unit of measure groups](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/unitOfMeasureGroups.html): `GET /inventory/unit-of-measure-groups`
- [Create a unit of measure group](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createUnitOfMeasureGroup.html): `POST /inventory/unit-of-measure-groups`
- [Bulk create unit of measure groups](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/bulkCreateUnitOfMeasureGroups.html): `POST /inventory/unit-of-measure-groups/bulk`
- [Bulk delete unit of measure groups](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/bulkDeleteUnitOfMeasureGroups.html): `POST /inventory/unit-of-measure-groups/bulk-delete`
- [Search unit of measure groups](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchUnitOfMeasureGroups.html): `POST /inventory/unit-of-measure-groups/search`
- [Retrieve a unit of measure group](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getUnitOfMeasureGroup.html): `GET /inventory/unit-of-measure-groups/{id}`
- [Update a unit of measure group](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updateUnitOfMeasureGroup.html): `PATCH /inventory/unit-of-measure-groups/{id}`
- [Delete a unit of measure group](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/deleteUnitOfMeasureGroup.html): `DELETE /inventory/unit-of-measure-groups/{id}`
